#
# spec file for package openfetion
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           openfetion
Version:        2.2.2
Release:        1.5
License:        SUSE-GPL-2.0+-with-openssl-exception
Summary:        IM Client for the Fetion protocol
Url:            http://code.google.com/p/ofetion/
Group:          Productivity/Networking/Instant Messenger
Source0:        http://ofetion.googlecode.com/files/%{name}-standalone-%{version}.tar.gz
# PATCH-FIX-UPSTREAM openfetion-fsf-address.patch hillwood@linuxfans.org -- Fix FSF address, http://code.google.com/p/ofetion/issues/detail?id=317
Patch0:         openfetion-fsf-address.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libofetion-devel
BuildRequires:  update-desktop-files
BuildRequires:  NetworkManager-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  sqlite3-devel
BuildRequires:  xorg-x11-devel
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fetion is an IM provided by China Mobile, with features like text chat,
voice call, file sharing, etc.

Openfetion is an opensource client of Fetion with limited features.
It's small and fast, and is better in look.

%lang_package
%prep
%setup -q -n %{name}-standalone-%{version}
%patch0 -p1

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB_INSTALL_DIR=%{_libdir} \
      -DCMAKE_BUILD_TYPE=release ..
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} -C build install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}
%fdupes %{buildroot}

%if 0%{?suse_version} > 1130
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE License.OpenSSL README
%{_bindir}/%{name}
%{_datadir}/pixmaps/fetion.svg
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_datadir}/applications/%{name}.desktop

%files lang -f %{name}.lang

%changelog
* Sun Mar 11 2012 hillwood@linuxfans.org
- license update: SUSE-GPL-2.0+-with-openssl-exception
  Package allows linking against openssl. Use the SPDX- proprietary
  prefix until the license is accepted upstream at spdx.org
* Fri Feb 17 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Mon Feb 13 2012 hillwood@linuxfans.org
- update to 2.2.2
- fixed BuildRequires
- patch license to follow spdx.org standard
* Thu Jun 23 2011 fjkong@novell.com
- build for opensuse_zh
